// File: src/main.rs
// Author: chmod777
// Creation Date: 2021-2-26
// License: AGPLv3

#![macro_use]
extern crate html5ever;

use html2gemini_rs::*;
use std::fs::File;
use std::{env, io::Read};

fn main() {
	let args: Vec<String> = env::args().collect();
	let mut iter = args.iter();
	iter.next();
	let path = iter.next().unwrap();
	let mut file = File::open(path.as_str()).unwrap();
	let mut html = String::new();
	file.read_to_string(&mut html).unwrap();
	let res = convert(html.as_str());
	println!("{}", res);
}
