// File: src/tests/headers.rs
// Author: chmod777
// Creation Date: 2021-2-26
// License: AGPLv3

use crate::*;

#[test]
fn img() {
	let html = include_str!("data/images/image.html");
	assert_eq!("=> myimage.png\n", convert(html));
}
#[test]
fn alt() {
	let html = include_str!("data/images/alt.html");
	assert_eq!("=> myimage.png\nMy description\n", convert(html));
}
#[test]
fn title() {
	let html = include_str!("data/images/title.html");
	assert_eq!("=> myimage.png My Title\n", convert(html));
}
#[test]
fn alt_and_title() {
	let html = include_str!("data/images/alt_and_title.html");
	assert_eq!("=> myimage.png My Title\nMy description\n", convert(html));
}
