// File: src/tests/headers.rs
// Author: chmod777
// Creation Date: 2021-2-26
// License: AGPLv3

use crate::*;

#[test]
fn h1() {
	let html = include_str!("data/headers/h1.html");
	assert_eq!("# Header 1\n", convert(html));
}
#[test]
fn h2() {
	let html = include_str!("data/headers/h2.html");
	assert_eq!("## Header 2\n", convert(html));
}
#[test]
fn h3() {
	let html = include_str!("data/headers/h3.html");
	assert_eq!("### Header 3\n", convert(html));
}
#[test]
fn h4() {
	let html = include_str!("data/headers/h4.html");
	assert_eq!("#### Header 4\n", convert(html));
}
#[test]
fn h5() {
	let html = include_str!("data/headers/h5.html");
	assert_eq!("##### Header 5\n", convert(html));
}
#[test]
fn h6() {
	let html = include_str!("data/headers/h6.html");
	assert_eq!("###### Header 6\n", convert(html));
}
