// File: src/tests/other.rs
// Author: chmod777
// Creation Date: 2021-2-26
// License: AGPLv3

use crate::*;

#[test]
fn p() {
	let html = include_str!("data/other/p.html");
	assert_eq!("Paragraph\n", convert(html));
}
#[test]
fn multiple_p() {
	let html = include_str!("data/other/p_multiple.html");
	assert_eq!("Paragraph 1\nParagraph 2\nParagraph 3\n", convert(html));
}

#[test]
fn br() {
	let html = include_str!("data/other/br.html");
	assert_eq!(
		"Paragraph 1\n\nParagraph 2\n\n\nParagraph 3\n",
		convert(html)
	);
}
